//
//  HCToastView.h
//  newHaierCash
//
//  Created by 百思为科 on 2018/5/25.
//  Copyright © 2018年 haier. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger,ToastCenterType) {
    ToastCenterType_Bottom, //底部，默认
    ToastCenterType_Middle, //中间位置
    ToastCenterType_Top     //顶部位置
};

@interface HCMyAlert : UIView

-(id)init;
- (void) setMessageText:(NSString *)message;
@end



@interface HCToastView : NSObject{
    
    HCMyAlert *myAlertView;//alertView
    BOOL active;           //当前是否在用
    
    
}

+ (HCToastView *) defaultView;               //单例 生成alert控制器
- (void) postAlertWithCenterType:(ToastCenterType)centerType andMessage:(NSString*)message;//弹出文字


@end
