//
//  PhotoCollectionViewCell.h
//  封装相册获取
//
//  Created by 史长硕 on 2018/8/22.
//  Copyright © 2018年 史长硕. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Photos/Photos.h>
@protocol SelectImageDelegate <NSObject>

-(void)sendSelectCell:(UICollectionViewCell *)cell andSelectBool:(BOOL)selected;

@end

@interface PhotoCollectionViewCell : UICollectionViewCell
@property(nonatomic, weak)id<SelectImageDelegate> delegate;
@property(nonatomic, assign)BOOL isSelected;//是否已选中

-(void)reloadPhotoModel:(PHAsset *)model;

@end
