//
//  PhotoViewController.m
//  封装相册获取
//
//  Created by 史长硕 on 2018/8/22.
//  Copyright © 2018年 史长硕. All rights reserved.
//

#import "PhotoViewController.h"
#import "GetPhotoModel.h"
#import "GetPhotoViewController.h"
@interface PhotoViewController ()

@end

@implementation PhotoViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIButton *btn = [[UIButton alloc]initWithFrame:CGRectMake(50, 100, 50, 50)];
    btn.backgroundColor = [UIColor redColor];
    [btn setTitle:@"前往相册" forState:UIControlStateNormal];
    [btn addTarget:self action:@selector(toOpenCamera) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)toOpenCamera{
    
    if ([GetPhotoModel isGetPhotoPermission]) {
        GetPhotoViewController *vc = [[GetPhotoViewController alloc]init];
        vc.minImgNum = @"2";
        [self.navigationController pushViewController:vc animated:YES];
    }else{
        NSURL *url = [NSURL URLWithString:UIApplicationOpenSettingsURLString];
        if (@available(iOS 10.0, *)) {
            [[UIApplication sharedApplication] openURL:url options:@{} completionHandler:^(BOOL success) {
                
            }];
        } else {
            if ([[UIApplication sharedApplication] canOpenURL:url]) {
                [[UIApplication sharedApplication]openURL:url];
            }
        }
    }
    
}


@end
